WordPress.org

Plugin Directory

(GA) Google Analytics

Adds your Google Analytics Tracking Code to your WordPress site.

Installation

  1. Upload the plugin to your blog and activate
  2. Visit the settings to configure your options

After configuring your settings, you can verify that GA code is included by viewing the source code of your web pages.

Note: this plugin adds the required GA code to your web pages. In order for the code to do anything, it must correspond to an active, properly configured Google Analytics account. Learn more at the Google Analytics Help Center.

More info on installing WP plugins

Usage

After entering your GA Property ID, enable the setting "Enable Google Analytics". This enables the legacy tracking method, which is deprecated and soon to be replaced by the new tracking method, "Universal Analytics". To go ahead and start using Universal Analytics right now, also enable the next setting, "Enable Universal Analytics".

Then from there you can enable advanced tracking functionality such as "Display Advertising" and "Link Attribution", depending on your own statistical strategy. If ever in doubt, consult the official Google Analytics site and Help Center.

Upgrades

To upgrade (GA) Google Analytics, remove the old version and replace with the new version. Or just click "Update" from the Plugins screen and let WordPress do it for you automatically.

Note: uninstalling the plugin from the WP Plugins screen results in the removal of all settings from the WP database.

For more information, visit the GA Plugin Homepage.

Restore Default Options

To restore default plugin options, either uninstall/reinstall the plugin, or visit the plugin settings > Restore Default Options.

Uninstalling

(GA) Google Analytics cleans up after itself. All plugin settings will be removed from your database when the plugin is uninstalled via the Plugins screen.

Requires: 4.1 or higher
Compatible up to: 4.6
Last Updated: 3 weeks ago
Active Installs: 30,000+

Ratings

4.8 out of 5 stars

Support

1 of 3 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

1 person says it works.
0 people say it's broken.

100,1,1
100,3,3
100,1,1
100,1,1 100,1,1 100,1,1
100,1,1
100,4,4
100,1,1
100,1,1
100,1,1 100,1,1
100,1,1
100,1,1
100,1,1 100,1,1
100,1,1
100,1,1 100,1,1
100,1,1